@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html body{
    background-color: #ccc;
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: normal;
}
/* NAVIGATION BAR ASTART HERE  */
nav{
    background-color: rgb(186 178 240);
    padding : 5px 0;
    box-shadow: 2px 2px 12px rgba(1, 1, 1, 0.3);
}
.middle{
    max-width: 1300px;
    margin: 0 auto;
}
.nav-bar{
    /* background-color: rebeccapurple; */
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.google-img , .insta-nav{
    height: 80px;
}
.nav-heading{
    font-weight: 350;
    letter-spacing: 7px;
    border-bottom: 2px solid transparent;
    transition: all 0.2s ease;
}
.nav-heading:hover{
    border-bottom: 2px solid peru;
}




/* PROMPTS START HERE  */
.image{
    display: flex;
    margin: 20px 0;
}
.image img{
    width: 300px;
    height: 300px;
    object-fit: cover;
    /* border: 1px solid beige; */
    border-radius: 10px;
    box-shadow: 2px 2px 12px rgba(2, 2, 4, 0.532);
    background-position: center;
    transition: all 0.3s ease;
}

.image img:hover{
    /* transform: translateY(-10px);     */
    transform: scale(1.1);
}

.container{
    padding: 40px 0;
    max-width: 1400px;
    margin: 0 auto;
    /* background-color: sienna; */
    display: grid;
    justify-content: space-between;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 30px;
}
.grid-items{
    max-height: 900px;
    border: 1px solid black;
    border-radius: 10px;
    align-items: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.prompt p{
    padding: 0 20px;
    margin-bottom: 20px;
    text-align: center;
    font-weight: 350;
}

/* FOOTER START HERE  */
footer{
    background-color: rgb(186 178 240);
    padding: 30px 0;
}
.footer-flex{
    /* background-color: aqua; */
    display: grid;
    grid-template-columns: 2fr 1fr;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
}

.footer-head{
    padding: 30px 0;
}
.footer-head h2{
        font-weight: 390;
        font-style: italic;
        font-size: 2rem;
}
.footer-link img{
    height: 50px;
    width: 50px;
    margin-right: 30px;
    margin-top: 10px;
}
.footer-link h4{
    font-size: 3rem;
    font-weight: 300;
}

/* MEDIA QUERIES START HERE */
@media (max-width:970px ){
     .container{
        /* display: flex;
        flex-direction: column; */
        display: grid;
        grid-template-columns: 1fr 1fr;
     }  
}

@media (max-width:717px){
    .nav-heading{
        font-size: 1.8rem;
    }
}
@media (max-width:676px){
    .nav-heading{
        font-size: 1.7rem;
    }
}

@media (max-width:655px){
    .nav-heading{
        font-size: 1.6rem;
    }
    .container{
        display: grid;
        grid-template-columns: 1fr;
    }
}

@media (max-width:635px){
    .nav-heading{
        font-size: 0.9rem;
        margin: 0 auto;
    }
    .google-img{
        width: 50px;
        height: 50px;
        margin-right: 20px;
    }
    .insta-nav{
        width: 50px;
        height: 50px;
    }

    .footer-flex{
        display: grid;
        grid-template-columns: 1fr;
    }
    .footer-head h2{
        font-size: 1.2rem;
        margin-left: 20px;
    }
    .footer-link h4{
        font-size: 1.7rem;
    }

    .footer-link img{
        width: 30px;
        height: 30px;
        display: inline;
    }
}